#version 330

layout(location = 0) in vec4 position;
in vec2 uv;
in vec3 normal;
out vec2 fragmentUV;
out vec3 fragmentNormal;
uniform mat4 transform;
uniform mat4 worldTrans;

void main() {
	gl_Position = transform * position;
	fragmentUV = uv;
	fragmentNormal = normalize((worldTrans*vec4(normal,0)).xyz);
}