#version 330

in vec2 fragmentUV;
in vec3 fragmentNormal;
uniform sampler2D colorTexture;
out vec3 color;
 
void main()
{ 	
	vec3 texColor = texture(colorTexture, fragmentUV).rgb;
	vec3 light = vec3(-0.7, 0.7, -0.14);
	
	color = texColor*clamp(dot(fragmentNormal,light), 0, 1)*0.8 + texColor*0.2;
}